import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: container
    anchors.fill: parent

    function setInitialCentering(car, me) {
        btnCar.checked = car;
        btnMe.checked = me;
    }

    Label {
        id: lblPage
        anchors {
            top: parent.top
            topMargin: 10
            horizontalCenter: parent.horizontalCenter
        }

        platformStyle: LabelStyle { inverted: true }
        text: "Map Settings"
    }

    Column {
        id: mainColumn
        anchors {
            top: lblPage.bottom
            bottom: btnOk.top
            topMargin: 15
            bottomMargin: 15
            horizontalCenter: parent.horizontalCenter
        }

        spacing: 5

        signal sigEnableEV(string source)
        signal sigDisableEV(string source)

        Label {
            text: "Center map on:"
            platformStyle: LabelStyle { inverted: true }
        }

        ButtonRow {
            exclusive: false

            Button {
                id: btnCar
                text: "Car"
                platformStyle: ButtonStyle { inverted: true }
                checkable: true
                onClicked: { g_MainWindow.centerOnCar = checked; }
            }
            Button {
                id: btnMe
                text: "Me"
                platformStyle: ButtonStyle { inverted: true }
                checkable: true
                onClicked: { g_MainWindow.centerOnPhone = checked; }
            }
        }//ButtonRow

        Label {
            text: "Show EV charging stations from"
            platformStyle: LabelStyle { inverted: true }
        }

        ButtonRow {
            //anchors.horizontalCenter: parent.horizontalCenter
            exclusive: false

            Button {
                text: "NREL"
                checkable: true
                platformStyle: ButtonStyle { inverted: true }

                onClicked: {
                    if (checked) {
                        mainColumn.sigEnableEV(text);
                    } else {
                        mainColumn.sigDisableEV(text);
                    }
                }
            }
        }//ButtonRow
    }//Column

    Button {
        id: btnOk
        anchors {
            bottom: parent.bottom
            bottomMargin: 10
            horizontalCenter: parent.horizontalCenter
        }
        text: "OK"
        platformStyle: ButtonStyle { inverted: true }
        onClicked: { container.pageStack.pop(); }
    }
}//Options dialog
