import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow
    objectName: "AppWindow"

    function pushLoginPage() {
        appWindow.pageStack.push(loginPage);
    }

    function pushVehicleSelectionPage() {
        vehicleSelectionPage.setModel();
        appWindow.pageStack.push(vehicleSelectionPage);
    }

    initialPage: mainPage

    MainPage {
        id: mainPage
        objectName: "MainPage"
        onShowAbout: { appWindow.pageStack.push(aboutPage); }
        onShowMapOptions: { appWindow.pageStack.push(mapSettings); }
    }

    SplashPage {
        id: splashPage
    }

    LoginPage {
        id: loginPage
        objectName: "LoginPage"
        pageStack: appWindow.pageStack
    }

    VehicleSelectionPage {
        id: vehicleSelectionPage
        objectName: "VehicleSelectionPage"
        pageStack: appWindow.pageStack
    }

    About {
        id: aboutPage
        pageStack: appWindow.pageStack
    }

    MapSettings {
        id: mapSettings
        objectName: "MapSettings"
        pageStack: appWindow.pageStack
    }

    StatusBanner {
        objectName: "StatusBanner"

        anchors {
            bottom: parent.bottom
            bottomMargin: mainPage.toobarHeight + 3
        }
    }

    Component.onCompleted: {
        splashPage.hideLater();
        // Use the dark theme.
        theme.inverted = true;
    }
}
